import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

public class Play
{
   private final static String DELIMITERS = " .?!()[]{}|/&\\,;:-\'\"\t\n\r";

   private String fileName;

   public Play( String fileName )
   {
      this.fileName = fileName;
   }

   public int startsWith( char targetChar ) throws IOException
   {
      BufferedReader inputFile = new BufferedReader(
                                        new FileReader( fileName) );
      String         buffer    = null;
      int            wordCount = 0;

      targetChar = Character.toLowerCase( targetChar );

      buffer = inputFile.readLine();
      while( buffer != null )
      {
         buffer = buffer.toLowerCase();
         StringTokenizer words = new StringTokenizer( buffer, DELIMITERS );
         while( words.hasMoreElements() )
	 {
            String word = (String) words.nextElement();
            if ( word.charAt( 0 ) == targetChar )
               wordCount++;
	 }

         buffer = inputFile.readLine();
      }

      return wordCount;
   }
}
